| Stan Math Library 2.6.3 probability, sampling & optimization

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
Public Types | List of all members
stan::math::promote_scalar_type< T, std::vector< S > > Struct Template Reference

Template metaprogram to calculate a type for a container whose underlying scalar is converted from the second template parameter type to the first. More...

`#include <promote_scalar_type.hpp>`

## Public Types
typedef std::vector< typename promote_scalar_type< T, S > ::type > | type
| The promoted type. More...

## Detailed Description

### template<typename T, typename S>
struct stan::math::promote_scalar_type< T, std::vector< S > >

Template metaprogram to calculate a type for a container whose underlying scalar is converted from the second template parameter type to the first.

Template Parameters

  T | result scalar type.
  S | input type

Definition at line 36 of file promote_scalar_type.hpp.

## Member Typedef Documentation

template<typename T , typename S >

typedef std::vector<typename promote_scalar_type<T, S>::type> stan::math::promote_scalar_type< T, std::vector< S > >::type

The promoted type.

Definition at line 40 of file promote_scalar_type.hpp.

The documentation for this struct was generated from the following file:

- stan/math/prim/scal/fun/promote_scalar_type.hpp

[ Stan Home Page ] © 2011–2015, Stan Development Team.